Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class RootPaneContainerFactory

Constructor Summary
`RootPaneContainerFactory()`

Method Summary
`void` | `handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### RootPaneContainerFactory

    RootPaneContainerFactory()

Method Detail

### handleRootPaneTasks

    public void handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)